org.modeshape.jcr.spi.federation

## Interface DocumentChanges

- All Known Implementing Classes:
    FederatedDocumentChanges

      public interface DocumentChanges

  Interface which encapsulates the changes that occurred on a document during an update process.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Interface and Description
    --- | ---
    `static interface` | `DocumentChanges.ChildrenChanges` Interface which encapsulates the changes to a document's children during an update operation.
    `static interface` | `DocumentChanges.MixinChanges` Interface which encapsulates the changes to a document's mixins during an update operation.
    `static interface` | `DocumentChanges.ParentChanges` Interface which encapsulates the changes to a document's parents during an update operation.
    `static interface` | `DocumentChanges.PropertyChanges` Interface which encapsulates the changes to a document's properties during an update operation.
    `static interface` | `DocumentChanges.ReferrerChanges` Interface which encapsulates the changes to a document's referrers during an update operation.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `DocumentChanges.ChildrenChanges` | `getChildrenChanges()` Returns the changes to the children.
    `Document` | `getDocument()` Returns the document which contains all the changes.
    `String` | `getDocumentId()` Returns the id of the document to which the changes apply.
    `DocumentChanges.MixinChanges` | `getMixinChanges()` Returns the changes to the mixins.
    `DocumentChanges.ParentChanges` | `getParentChanges()` Returns the changes to the parents.
    `DocumentChanges.PropertyChanges` | `getPropertyChanges()` Returns the changes to the properties.
    `DocumentChanges.ReferrerChanges` | `getReferrerChanges()` Returns the changes to the referrers.

- - ### Method Detail

    - #### getDocument

          Document getDocument()

      Returns the document which contains all the changes.
      Returns:
        the updated document; never null

    - #### getDocumentId

          String getDocumentId()

      Returns the id of the document to which the changes apply.
      Returns:
        the identifier of the modified document; never null

    - #### getChildrenChanges

          DocumentChanges.ChildrenChanges getChildrenChanges()

      Returns the changes to the children.
      Returns:
        a `DocumentChanges.ChildrenChanges` instance; never null

    - #### getMixinChanges

          DocumentChanges.MixinChanges getMixinChanges()

      Returns the changes to the mixins.
      Returns:
        a `DocumentChanges.MixinChanges` instance; never null

    - #### getParentChanges

          DocumentChanges.ParentChanges getParentChanges()

      Returns the changes to the parents.
      Returns:
        a `DocumentChanges.ParentChanges` instance; never null

    - #### getPropertyChanges

          DocumentChanges.PropertyChanges getPropertyChanges()

      Returns the changes to the properties.
      Returns:
        a `DocumentChanges.PropertyChanges` instance; never null

    - #### getReferrerChanges

          DocumentChanges.ReferrerChanges getReferrerChanges()

      Returns the changes to the referrers.
      Returns:
        a `DocumentChanges.ReferrerChanges` instance; never null

Copyright © 2008-2014 JBoss, a division of Red Hat. All Rights Reserved.